Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1908473 - Request: Add pagure-dist-git to EPEL-8 Repository
Summary: Request: Add pagure-dist-git to EPEL-8 Repository
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pagure-dist-git
Version: epel8
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-16 19:30 UTC by Louis Abel
Modified: 2021-01-08 03:07 UTC (History)
4 users (show)

Fixed In Version: pagure-dist-git-1.10.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-08 03:07:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Louis Abel 2020-12-16 19:30:39 UTC
Description of problem:
EPEL contains various pagure-* packages. However, it is missing pagure-dist-git which will likely provide benefits to having pagure and buildsystems on EL8.

Version-Release number of selected component (if applicable):
Currently in Fedora 33, the version is 1.9.0. That version or higher should be sufficient.

How reproducible:
always

Steps to Reproduce:
1. dnf info pagure-dist-git or dnf install pagure-dist-git

Actual results:
[nazu@box ~]$ sudo dnf install pagure-dist-git
[sudo] password for nazu:
Last metadata expiration check: 1:19:23 ago on Wed 16 Dec 2020 11:09:34 AM MST.
No match for argument: pagure-dist-git
Error: Unable to find a match: pagure-dist-git

Expected results:
Package installs from EPEL successfully on an EL8 system

Additional info:
Pagure-dist-git provides a dynamic git auth backend for dist-git. It hosts logic to generate gitolite's configuration file for Dist-Git, which has a different access model than regular pagure git systems.

Comment 1 Neal Gompa 2020-12-17 18:16:18 UTC
Branch request made: https://pagure.io/releng/fedora-scm-requests/issue/31371

Comment 2 Fedora Update System 2021-01-07 11:47:07 UTC
FEDORA-EPEL-2021-967a5d6d8f has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-967a5d6d8f

Comment 3 Fedora Update System 2021-01-08 03:07:53 UTC
FEDORA-EPEL-2021-967a5d6d8f has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.